Subject: Ticket Assigned - 6486477854
From: Max <[email-masked]>
To: [email-masked]
Date: Sat, 27 Jun 2020 07:20:05 +0000

Hi Ammar Asif,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  6486477854 Good morning,

I have a complain regarding order number 6486477854 dated on 27 of april.. the tracking status of this order says it was delivered 6 of may which i received nothing at all!!!! I need to know how could u hand this order to anyone without the ID?! I tried to call u in KSA and even Dubai and had alot of comments on FB page but i got nothing!!
U r the worst CS ever i will never deal with such a store ever again thts a scam and i already had a complain in the ministry of commerce!

This is my number 0548483263 plz i need this order or my money back!!!
 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1148683